<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        const modulos = ["m02", "m03", "m04", "m05", "m06", "m07", "m08", "FOL"]; 
        const alumnoNotas = [[8, 9, 4], [9, 10], [6, 8, 10], [4], [8, 4, 7], [], [7, 5, 9, 10],[10]];
        
        //Ejercicio 1
        function NotasAMap(modulos, alumnoNotas){

            const mapaNotas = new Map();
            modulos.forEach((modulo, iterador) => {
                mapaNotas.set(modulo,alumnoNotas[iterador]);
            });
            //console.log(mapaNotas);
            return mapaNotas;
        }
        //var notasMap = new Map();
        var notasMap = NotasAMap(modulos,alumnoNotas);
        console.log(notasMap);
        
        //Ejercicio 2
        function ActualizaNotas(mapaNotas){
            mapaNotas.set("m07",[7.5, 6]);
            return mapaNotas;
            //console.log(mapaNotas);
        }
        notasMap = ActualizaNotas(notasMap);
        console.log(notasMap);

        //Ejercicio 3        
        function getSet(notasMap){
            const setNotas = new Set(notasMap.keys());
            return setNotas;
            //console.log(setNotas);
        }
        var notasSet = getSet(notasMap);
        console.log(notasSet);
    </script>
</body>
</html>